#
# Conditional build:
%bcond_with	tests	# do perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	objgraph
Summary:	Draws Python object reference graphs with graphviz
Summary(pl.UTF-8):	Rysuje referencje pomiedzy obiektamiy przy uzyciu graphviz
Name:		python-objgraph
Version:	3.4.0
Release:	3
License:	MIT
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/source/o/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	cbe527c7dc095a41458d86cab2059591
URL:		http://mg.pov.lt/objgraph/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-setuptools
%endif
%if %{with tests}
BuildRequires:	graphviz
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional dependency
%define _noautoreq pythonegg.graphviz python3egg.graphviz

%description
Module that lets you visually explore Python object graphs and debug
memory leaks.

%description -l pl.UTF-8
Moduł do wizualizacji grafów pythonowych obiektów i debugowania
wycieków pamięci.

%package -n python3-%{module}
Summary:	Draws Python object reference graphs with graphviz
Summary(pl.UTF-8):	Rysuje referencje pomiedzy obiektamiy przy uzyciu graphviz
Group:		Development/Languages/Python
Requires:	python3-modules

%description -n python3-%{module}
Module that lets you visually explore Python object graphs and debug
memory leaks.

%description -n python3-%{module} -l pl.UTF-8
Moduł do wizualizacji grafów pythonowych obiektów i debugowania
wycieków pamięci.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%files
%defattr(644,root,root,755)
%doc CHANGES.rst README.rst docs
%{py_sitescriptdir}/%{module}.py*
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst README.rst docs
%{py3_sitescriptdir}/%{module}.py
%{py3_sitescriptdir}/__pycache__/%{module}.*
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-objgraph.git;a=log;h=auto/th/python-objgraph-3.4.0-3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1dcc8a9
- rebuild with python 3.8
- release 3 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 67b0ee2
- release 2 (by relup.sh)

* Wed Feb 28 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> d0630ac
- disable tests

* Wed Feb 28 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 8ea9379
- BR: graphviz for tests

* Wed Feb 28 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 8352fbf
- Updated to version 3.4.0 and for Python 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 9789261
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e8847ee
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7074a74
- automatic change: use py_build/py_install macros

* Fri Apr 13 2012 Mateusz Korniak <matkor@pld-linux.org> 23d84bf
- Initial 1.7.1-1.

